List recent agent handoffs
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/agents/{id}/handoffs/recent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/agents/{id}/handoffs/recent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/agents/{id}/handoffs/recent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"agent_id": "<string>",
"handoffs": [
{
"id": "<string>",
"source_agent_id": "<string>",
"target_agent_id": "<string>",
"conversation_id": "<string>",
"reason": "<string>",
"summary": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Agents
List recent agent handoffs
Returns the most recent cross-agent handoffs where this agent was the source or target, newest first. This is the activity shown in the Handoff Targets section of the agent detail page.
GET
/
api
/
v1
/
agents
/
{id}
/
handoffs
/
recent
List recent agent handoffs
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Agent identifier (Devotel agent_xxx id).
Query Parameters
Maximum number of handoff rows to return (1–100, default 25).
Required range:
1 <= x <= 100⌘I